Package org.eclipse.net4j.util.security

# Class DiffieHellman.Server

java.lang.Object
org.eclipse.net4j.util.security.DiffieHellman.Server

Enclosing class:
  `DiffieHellman`

public static class DiffieHellman.Server extends Object
Executes the server-side of the Diffie-Hellman key agreement protocol.

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DiffieHellman.Server.Challenge`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_CYPHER_TRANSFORMATION`
Deprecated.
As of 3.8 the default cipher transformation is "AES/CBC/PKCS5Padding".
`static final String`
`DEFAULT_SECRET_ALGORITHM`
Deprecated.
As of 3.8 the default secret algorithm is "AES".

## Constructor Summary

Constructors
Constructor
Description
`Server(String realm)`
`Server(String realm, int diffieHellmanKeySize)`
`Server(String realm, int diffieHellmanKeySize, int secretAlgorithmKeyLen, String secretAlgorithm, String cipherTransformation)`
`Server(String realm, int diffieHellmanKeySize, String secretAlgorithm, String cipherTransformation)`
`Server(String realm, KeyPairGenerator keyPairGenerator, int secretAlgorithmKeyLen, String secretAlgorithm, String cipherTransformation)`
`Server(String realm, DHParameterSpec dhParamSpec)`
`Server(String realm, DHParameterSpec dhParamSpec, int secretAlgorithmKeyLen, String secretAlgorithm, String cipherTransformation)`
`Server(String realm, DHParameterSpec dhParamSpec, String secretAlgorithm, String cipherTransformation)`

## Method Summary

Modifier and Type
Method
Description
`final DiffieHellman.Server.Challenge`
`getChallenge()`
`final String`
`getRealm()`
`byte[]`
`handleResponse(DiffieHellman.Client.Response response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_SECRET_ALGORITHM

@Deprecated public static final String DEFAULT_SECRET_ALGORITHM
Deprecated.
As of 3.8 the default secret algorithm is "AES".

See Also:
  - Constant Field Values

### DEFAULT_CYPHER_TRANSFORMATION

@Deprecated public static final String DEFAULT_CYPHER_TRANSFORMATION
Deprecated.
As of 3.8 the default cipher transformation is "AES/CBC/PKCS5Padding".

See Also:
  - Constant Field Values

## Constructor Details

### Server

public Server(String realm, KeyPairGenerator keyPairGenerator, int secretAlgorithmKeyLen, String secretAlgorithm, String cipherTransformation)

Since:
  3.8

### Server

public Server(String realm, int diffieHellmanKeySize, int secretAlgorithmKeyLen, String secretAlgorithm, String cipherTransformation)

Since:
  3.8

### Server

public Server(String realm, int diffieHellmanKeySize, String secretAlgorithm, String cipherTransformation)

Since:
  3.8

### Server

public Server(String realm, int diffieHellmanKeySize)

Since:
  3.8

### Server

public Server(String realm)

### Server

public Server(String realm, DHParameterSpec dhParamSpec, int secretAlgorithmKeyLen, String secretAlgorithm, String cipherTransformation)

Since:
  3.8

### Server

public Server(String realm, DHParameterSpec dhParamSpec, String secretAlgorithm, String cipherTransformation)

### Server

public Server(String realm, DHParameterSpec dhParamSpec)

## Method Details

### getRealm

public final String getRealm()

### getChallenge

public final DiffieHellman.Server.Challenge getChallenge()

### handleResponse

public byte[] handleResponse(DiffieHellman.Client.Response response)